/*
 * Navigator.java
 * 
 * Copyright 2004-2009 by RidgeSoft, LLC., PO Box 482, Pleasanton, CA  94566, U.S.A.
 * www.ridgesoft.com
 *
 * RidgeSoft grants you the right to use, modify, make derivative works and
 * redistribute this source file provided you do not remove this copyright notice.
 */

public interface Navigator {
    public void moveTo(float x, float y, boolean wait);
    public void turnTo(float heading, boolean wait);
    public void go(float heading);
    public void stop();
}